Returns an iterator for the current entry if it is a directory

- « RecursiveDirectoryIterator::__construct

- RecursiveDirectoryIterator::getSubPath »

- PHP Manual
- RecursiveDirectoryIterator
- Returns an iterator for the current entry if it is a directory

# RecursiveDirectoryIterator::getChildren

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

RecursiveDirectoryIterator::getChildren — Returns an iterator for the current entry if it is a directory

### Description

public RecursiveDirectoryIterator::getChildren(): RecursiveDirectoryIterator
Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

The filename, file information, or $this depending on the set flags. See the FilesystemIterator constants.